## com.sun.jersey.api.client
Class AsyncWebResource.Builder

    java.lang.Object
      com.sun.jersey.api.client.PartialRequestBuilder<AsyncWebResource.Builder>
          com.sun.jersey.api.client.AsyncWebResource.Builder

All Implemented Interfaces:
  AsyncUniformInterface, RequestBuilder<AsyncWebResource.Builder>

Enclosing class:
  AsyncWebResource

    public class AsyncWebResource.Builder

extends PartialRequestBuilder<AsyncWebResource.Builder>
implements AsyncUniformInterface

The builder for building a `ClientRequest` instance and handling the request using the `UniformInterface`. The methods of the `UniformInterface` are the build methods of the builder.

Field Summary

Fields inherited from class com.sun.jersey.api.client.PartialRequestBuilder
`entity, metadata`

Method Summary
`java.util.concurrent.Future<?>` | `delete()` Invoke the DELETE method with no request entity or response.

`

`<T> java.util.concurrent.Future<T>`

`

`delete(java.lang.Class<T> c)`
Invoke the DELETE method with no request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`delete(java.lang.Class<T> c, java.lang.Object requestEntity)`
Invoke the DELETE method with a request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`delete(GenericType<T> gt)`
Invoke the DELETE method with a request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`delete(GenericType<T> gt, java.lang.Object requestEntity)`
Invoke the DELETE method with a request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`delete(ITypeListener<T> l)`
Invoke the DELETE method.

`

`<T> java.util.concurrent.Future<T>`

`

`delete(ITypeListener<T> l, java.lang.Object requestEntity)`
Invoke the DELETE method.

`java.util.concurrent.Future<?>` | `delete(java.lang.Object requestEntity)` Invoke the DELETE method with a request entity but no response.

`

`<T> java.util.concurrent.Future<T>`

`

`get(java.lang.Class<T> c)`
Invoke the GET method.

`

`<T> java.util.concurrent.Future<T>`

`

`get(GenericType<T> gt)`
Invoke the GET method.

`

`<T> java.util.concurrent.Future<T>`

`

`get(ITypeListener<T> l)`
Invoke the GET method.

`java.util.concurrent.Future<ClientResponse>` | `head()` Invoke the HEAD method.
`java.util.concurrent.Future<ClientResponse>` | `head(ITypeListener<ClientResponse> l)` Invoke the HEAD method.
`java.util.concurrent.Future<?>` | `method(java.lang.String method)` Invoke a HTTP method with no request entity or response.

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, java.lang.Class<T> c)`
Invoke a HTTP method with no request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, java.lang.Class<T> c, java.lang.Object requestEntity)`
Invoke a HTTP method with a request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, GenericType<T> gt)`
Invoke a HTTP method with no request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, GenericType<T> gt, java.lang.Object requestEntity)`
Invoke a HTTP method with a request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, ITypeListener<T> l)`
Invoke a HTTP method with no request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`method(java.lang.String method, ITypeListener<T> l, java.lang.Object requestEntity)`
Invoke a HTTP method with a request entity that returns a response.

`java.util.concurrent.Future<?>` | `method(java.lang.String method, java.lang.Object requestEntity)` Invoke a HTTP method with a request entity but no response.

`

`<T> java.util.concurrent.Future<T>`

`

`options(java.lang.Class<T> c)`
Invoke the OPTIONS method.

`

`<T> java.util.concurrent.Future<T>`

`

`options(GenericType<T> gt)`
Invoke the OPTIONS method.

`

`<T> java.util.concurrent.Future<T>`

`

`options(ITypeListener<T> l)`
Invoke the OPTIONS method.

`java.util.concurrent.Future<?>` | `post()` Invoke the POST method with no request entity or response.

`

`<T> java.util.concurrent.Future<T>`

`

`post(java.lang.Class<T> c)`
Invoke the POST method with no request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`post(java.lang.Class<T> c, java.lang.Object requestEntity)`
Invoke the POST method with a request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`post(GenericType<T> gt)`
Invoke the POST method with a request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`post(GenericType<T> gt, java.lang.Object requestEntity)`
Invoke the POST method with a request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`post(ITypeListener<T> l)`
Invoke the POST method.

`

`<T> java.util.concurrent.Future<T>`

`

`post(ITypeListener<T> l, java.lang.Object requestEntity)`
Invoke the POST method.

`java.util.concurrent.Future<?>` | `post(java.lang.Object requestEntity)` Invoke the POST method with a request entity but no response.
`java.util.concurrent.Future<?>` | `put()` Invoke the PUT method with no request entity or response.

`

`<T> java.util.concurrent.Future<T>`

`

`put(java.lang.Class<T> c)`
Invoke the PUT method with no request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`put(java.lang.Class<T> c, java.lang.Object requestEntity)`
Invoke the PUT method with a request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`put(GenericType<T> gt)`
Invoke the PUT method with a request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`put(GenericType<T> gt, java.lang.Object requestEntity)`
Invoke the PUT method with a request entity that returns a response.

`

`<T> java.util.concurrent.Future<T>`

`

`put(ITypeListener<T> l)`
Invoke the PUT method.

`

`<T> java.util.concurrent.Future<T>`

`

`put(ITypeListener<T> l, java.lang.Object requestEntity)`
Invoke the PUT method.

`java.util.concurrent.Future<?>` | `put(java.lang.Object requestEntity)` Invoke the PUT method with a request entity but no response.

Methods inherited from class com.sun.jersey.api.client.PartialRequestBuilder
`accept, accept, acceptLanguage, acceptLanguage, cookie, entity, entity, entity, header, type, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### head

    public java.util.concurrent.Future<ClientResponse> head()

  Description copied from interface: `AsyncUniformInterface`
  Invoke the HEAD method.

  Specified by:
    `head` in interface `AsyncUniformInterface`
  Returns:
    the HTTP response.

### head

    public java.util.concurrent.Future<ClientResponse> head(ITypeListener<ClientResponse> l)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the HEAD method.

  Specified by:
    `head` in interface `AsyncUniformInterface`
  Parameters:
    `l` - the listener to receive asynchronous callbacks.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

### options

    public <T> java.util.concurrent.Future<T> options(java.lang.Class<T> c)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the OPTIONS method.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `c` is not the type `ClientResponse`.

  Specified by:
    `options` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `c` - the type of the returned response.
  Returns:
    an instance of type `c`.

### options

    public <T> java.util.concurrent.Future<T> options(GenericType<T> gt)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the OPTIONS method.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `gt` is not the type `ClientResponse`.

  Specified by:
    `options` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `gt` - the generic type of the returned response.
  Returns:
    an instance of type represented by the generic type.

### options

    public <T> java.util.concurrent.Future<T> options(ITypeListener<T> l)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the OPTIONS method.

  Specified by:
    `options` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `l` - the listener to receive asynchronous callbacks.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

### get

    public <T> java.util.concurrent.Future<T> get(java.lang.Class<T> c)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the GET method.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `c` is not the type `ClientResponse`.

  Specified by:
    `get` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `c` - the type of the returned response.
  Returns:
    an instance of type `c`.

### get

    public <T> java.util.concurrent.Future<T> get(GenericType<T> gt)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the GET method.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `gt` is not the type `ClientResponse`.

  Specified by:
    `get` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `gt` - the generic type of the returned response.
  Returns:
    an instance of type represented by the generic type.

### get

    public <T> java.util.concurrent.Future<T> get(ITypeListener<T> l)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the GET method.

  Specified by:
    `get` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `l` - the listener to receive asynchronous callbacks.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

### put

    public java.util.concurrent.Future<?> put()
                                       throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the PUT method with no request entity or response.

  If the status of the HTTP response is less than 300 and a representation is present then that representation is ignored.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300.

  Specified by:
    `put` in interface `AsyncUniformInterface`
  Returns:
    a void future.
  Throws:
    `UniformInterfaceException`

### put

    public java.util.concurrent.Future<?> put(java.lang.Object requestEntity)
                                       throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the PUT method with a request entity but no response.

  If the status of the HTTP response is less than 300 and a representation is present then that representation is ignored.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300.

  Specified by:
    `put` in interface `AsyncUniformInterface`
  Parameters:
    `requestEntity` - the request entity.
  Returns:
    a void future.
  Throws:
    `UniformInterfaceException`

### put

    public <T> java.util.concurrent.Future<T> put(java.lang.Class<T> c)
                                       throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the PUT method with no request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `c` is not the type `ClientResponse`.

  Specified by:
    `put` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `c` - the type of the returned response.
  Returns:
    an instance of type `c`.
  Throws:
    `UniformInterfaceException`

### put

    public <T> java.util.concurrent.Future<T> put(GenericType<T> gt)
                                       throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the PUT method with a request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `gt` is not the type `ClientResponse`.

  Specified by:
    `put` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `gt` - the generic type of the returned response.
  Returns:
    an instance of type represented by the generic type.
  Throws:
    `UniformInterfaceException`

### put

    public <T> java.util.concurrent.Future<T> put(ITypeListener<T> l)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the PUT method.

  Specified by:
    `put` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `l` - the listener to receive asynchronous callbacks.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

### put

    public <T> java.util.concurrent.Future<T> put(java.lang.Class<T> c,
                                                  java.lang.Object requestEntity)
                                       throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the PUT method with a request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `c` is not the type `ClientResponse`.

  Specified by:
    `put` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `c` - the type of the returned response.
    `requestEntity` - the request entity.
  Returns:
    an instance of type `c`.
  Throws:
    `UniformInterfaceException`

### put

    public <T> java.util.concurrent.Future<T> put(GenericType<T> gt,
                                                  java.lang.Object requestEntity)
                                       throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the PUT method with a request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `gt` is not the type `ClientResponse`.

  Specified by:
    `put` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `gt` - the generic type of the returned response.
    `requestEntity` - the request entity.
  Returns:
    an instance of type represented by the generic type.
  Throws:
    `UniformInterfaceException`

### put

    public <T> java.util.concurrent.Future<T> put(ITypeListener<T> l,
                                                  java.lang.Object requestEntity)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the PUT method.

  Specified by:
    `put` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `l` - the listener to receive asynchronous callbacks.
    `requestEntity` - the request entity.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

### post

    public java.util.concurrent.Future<?> post()
                                        throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the POST method with no request entity or response.

  If the status of the HTTP response is less than 300 and a representation is present then that representation is ignored.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300.

  Specified by:
    `post` in interface `AsyncUniformInterface`
  Returns:
    a void future.
  Throws:
    `UniformInterfaceException`

### post

    public java.util.concurrent.Future<?> post(java.lang.Object requestEntity)
                                        throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the POST method with a request entity but no response.

  If the status of the HTTP response is less than 300 and a representation is present then that representation is ignored.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300.

  Specified by:
    `post` in interface `AsyncUniformInterface`
  Parameters:
    `requestEntity` - the request entity.
  Returns:
    a void future.
  Throws:
    `UniformInterfaceException`

### post

    public <T> java.util.concurrent.Future<T> post(java.lang.Class<T> c)
                                        throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the POST method with no request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `c` is not the type `ClientResponse`.

  Specified by:
    `post` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `c` - the type of the returned response.
  Returns:
    an instance of type `c`.
  Throws:
    `UniformInterfaceException`

### post

    public <T> java.util.concurrent.Future<T> post(GenericType<T> gt)
                                        throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the POST method with a request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `gt` is not the type `ClientResponse`.

  Specified by:
    `post` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `gt` - the generic type of the returned response.
  Returns:
    an instance of type represented by the generic type.
  Throws:
    `UniformInterfaceException`

### post

    public <T> java.util.concurrent.Future<T> post(ITypeListener<T> l)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the POST method.

  Specified by:
    `post` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `l` - the listener to receive asynchronous callbacks.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

### post

    public <T> java.util.concurrent.Future<T> post(java.lang.Class<T> c,
                                                   java.lang.Object requestEntity)
                                        throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the POST method with a request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `c` is not the type `ClientResponse`.

  Specified by:
    `post` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `c` - the type of the returned response.
    `requestEntity` - the request entity.
  Returns:
    an instance of type `c`.
  Throws:
    `UniformInterfaceException`

### post

    public <T> java.util.concurrent.Future<T> post(GenericType<T> gt,
                                                   java.lang.Object requestEntity)
                                        throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the POST method with a request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `gt` is not the type `ClientResponse`.

  Specified by:
    `post` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `gt` - the generic type of the returned response.
    `requestEntity` - the request entity.
  Returns:
    an instance of type represented by the generic type.
  Throws:
    `UniformInterfaceException`

### post

    public <T> java.util.concurrent.Future<T> post(ITypeListener<T> l,
                                                   java.lang.Object requestEntity)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the POST method.

  Specified by:
    `post` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `l` - the listener to receive asynchronous callbacks.
    `requestEntity` - the request entity.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

### delete

    public java.util.concurrent.Future<?> delete()
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the DELETE method with no request entity or response.

  If the status of the HTTP response is less than 300 and a representation is present then that representation is ignored.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300.

  Specified by:
    `delete` in interface `AsyncUniformInterface`
  Returns:
    a void future.
  Throws:
    `UniformInterfaceException`

### delete

    public java.util.concurrent.Future<?> delete(java.lang.Object requestEntity)
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the DELETE method with a request entity but no response.

  If the status of the HTTP response is less than 300 and a representation is present then that representation is ignored.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300.

  Specified by:
    `delete` in interface `AsyncUniformInterface`
  Parameters:
    `requestEntity` - the request entity.
  Returns:
    a void future.
  Throws:
    `UniformInterfaceException`

### delete

    public <T> java.util.concurrent.Future<T> delete(java.lang.Class<T> c)
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the DELETE method with no request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `c` is not the type `ClientResponse`.

  Specified by:
    `delete` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `c` - the type of the returned response.
  Returns:
    an instance of type `c`.
  Throws:
    `UniformInterfaceException`

### delete

    public <T> java.util.concurrent.Future<T> delete(GenericType<T> gt)
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the DELETE method with a request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `gt` is not the type `ClientResponse`.

  Specified by:
    `delete` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `gt` - the generic type of the returned response.
  Returns:
    an instance of type represented by the generic type.
  Throws:
    `UniformInterfaceException`

### delete

    public <T> java.util.concurrent.Future<T> delete(ITypeListener<T> l)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the DELETE method.

  Specified by:
    `delete` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `l` - the listener to receive asynchronous callbacks.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

### delete

    public <T> java.util.concurrent.Future<T> delete(java.lang.Class<T> c,
                                                     java.lang.Object requestEntity)
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the DELETE method with a request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `c` is not the type `ClientResponse`.

  Specified by:
    `delete` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `c` - the type of the returned response.
    `requestEntity` - the request entity.
  Returns:
    an instance of type `c`.
  Throws:
    `UniformInterfaceException`

### delete

    public <T> java.util.concurrent.Future<T> delete(GenericType<T> gt,
                                                     java.lang.Object requestEntity)
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke the DELETE method with a request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `gt` is not the type `ClientResponse`.

  Specified by:
    `delete` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `gt` - the generic type of the returned response.
    `requestEntity` - the request entity.
  Returns:
    an instance of type represented by the generic type.
  Throws:
    `UniformInterfaceException`

### delete

    public <T> java.util.concurrent.Future<T> delete(ITypeListener<T> l,
                                                     java.lang.Object requestEntity)

  Description copied from interface: `AsyncUniformInterface`
  Invoke the DELETE method.

  Specified by:
    `delete` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `l` - the listener to receive asynchronous callbacks.
    `requestEntity` - the request entity.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

### method

    public java.util.concurrent.Future<?> method(java.lang.String method)
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke a HTTP method with no request entity or response.

  If the status of the HTTP response is less than 300 and a representation is present then that representation is ignored.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300.

  Specified by:
    `method` in interface `AsyncUniformInterface`
  Parameters:
    `method` - the HTTP method.
  Returns:
    a void future.
  Throws:
    `UniformInterfaceException`

### method

    public java.util.concurrent.Future<?> method(java.lang.String method,
                                                 java.lang.Object requestEntity)
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke a HTTP method with a request entity but no response.

  If the status of the HTTP response is less than 300 and a representation is present then that representation is ignored.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300.

  Specified by:
    `method` in interface `AsyncUniformInterface`
  Parameters:
    `method` - the HTTP method.
    `requestEntity` - the request entity.
  Returns:
    a void future.
  Throws:
    `UniformInterfaceException`

### method

    public <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                                     java.lang.Class<T> c)
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke a HTTP method with no request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `c` is not the type `ClientResponse`.

  Specified by:
    `method` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `method` - the HTTP method.
    `c` - the type of the returned response.
  Returns:
    an instance of type `c`.
  Throws:
    `UniformInterfaceException`

### method

    public <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                                     GenericType<T> gt)
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke a HTTP method with no request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `gt` is not the type `ClientResponse`.

  Specified by:
    `method` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `method` - the HTTP method.
    `gt` - the generic type of the returned response.
  Returns:
    an instance of type represented by the generic type.
  Throws:
    `UniformInterfaceException`

### method

    public <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                                     ITypeListener<T> l)

  Description copied from interface: `AsyncUniformInterface`
  Invoke a HTTP method with no request entity that returns a response.

  Specified by:
    `method` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `method` - the HTTP method.
    `l` - the listener to receive asynchronous callbacks.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

### method

    public <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                                     java.lang.Class<T> c,
                                                     java.lang.Object requestEntity)
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke a HTTP method with a request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `c` is not the type `ClientResponse`.

  Specified by:
    `method` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `method` - the HTTP method.
    `c` - the type of the returned response.
    `requestEntity` - the request entity.
  Returns:
    an instance of type `c`.
  Throws:
    `UniformInterfaceException`

### method

    public <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                                     GenericType<T> gt,
                                                     java.lang.Object requestEntity)
                                          throws UniformInterfaceException

  Description copied from interface: `AsyncUniformInterface`
  Invoke a HTTP method with a request entity that returns a response.

  The `Future.get()` method will throw a UniformInterfaceException if the status of the HTTP response is greater than or equal to 300 and `gt` is not the type `ClientResponse`.

  Specified by:
    `method` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `method` - the HTTP method.
    `gt` - the generic type of the returned response.
    `requestEntity` - the request entity.
  Returns:
    an instance of type represented by the generic type.
  Throws:
    `UniformInterfaceException`

### method

    public <T> java.util.concurrent.Future<T> method(java.lang.String method,
                                                     ITypeListener<T> l,
                                                     java.lang.Object requestEntity)

  Description copied from interface: `AsyncUniformInterface`
  Invoke a HTTP method with a request entity that returns a response.

  Specified by:
    `method` in interface `AsyncUniformInterface`
  Type Parameters:
    `T` - the type of the response.
  Parameters:
    `method` - the HTTP method.
    `l` - the listener to receive asynchronous callbacks.
    `requestEntity` - the request entity.
  Returns:
    a future that may be used to wait until the future completes and obtain the client response state, or cancel the request.

Copyright © 2017 Oracle Corporation. All Rights Reserved.